Subject: Re: bug#59513: [PATCH] doc: contributing: Tweak the Commit Policy.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 12 Dec 2022 12:47:44 +0100

Hi Chris,

Christopher Baines <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>>>  @subsection Commit Policy
>>>
>>> -If you get commit access, please make sure to follow
>>> -the policy below (discussions of the policy can take place on
>>> +If you get commit access, please make sure to follow the policy below
>>> +(discussions of the policy can take place on
>>>  @email{guix-devel@@gnu.org}).

BTW, we should follow that policy :-) and send a heads-up on guix-devel.

> I've gone for "tooling" rather than "robot" as I'm not sure we want to
> go the way of personifying it. I'm not against that, but the place to
> start is probably not here.

Fine with me!

>>   shows up on the dashboard at
>>   @indicateurl{https://qa.guix.gnu.org/issue/@var{number}}, where
>>   @var{number} is the number assigned by the issue tracker.  Leave time
>>   […] it’s OK to commit.
>>
>>   As an exception, some changes considered consensual and ``trivial'' or
>
> I removed "consensual" here as I wasn't sure what was meant by that, or
> at least I'm not sure the phrasing fits the context here.
>
> Are you trying to say something about a belief that no one will object
> to the change being made?

Yes, exactly.  With experience in the project (like committers usually
have), you can often tell whether a given change might raise objections
or not.

Thanks for following up!

Ludo’.